Bug 152286 - nash switchroot leave hidden mount points
nash switchroot leave hidden mount points
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 08:07 EST by Kasper Dupont
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 11:43:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2005-03-27 08:07:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
The init script generated by mkinitrd ends with a switchroot call followed by a umount call. A succesfull call of switchroot will perform an execve system call causing the script to terminate, so the umount call will never be performed. The switchroot call leaves a few mountpoints hidden under the root, which means they are impossible to umount later during boot.

Version-Release number of selected component (if applicable):
mkinitrd-4.1.18-2

How reproducible:
Always

Steps to Reproduce:
1. grep ' /\(dev\|proc\)\? ' /proc/mounts


Actual Results:  rootfs / rootfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
none /dev tmpfs rw 0 0
/dev/root / reiserfs rw 0 0
none /dev tmpfs rw 0 0
/proc /proc proc rw,nodiratime 0 0


Expected Results:  /dev/root / reiserfs rw 0 0
none /dev tmpfs rw 0 0
/proc /proc proc rw,nodiratime 0 0


Additional info:
Comment 1 Peter Jones 2005-03-30 11:43:24 EST
Fixed in CVS, should hit tonight's rawhide build.

Note You need to log in before you can comment on or make changes to this bug.